Page MenuHomePhabricator

[test-suite] SPEC2017 CPU Exchange2 integer tests.
ClosedPublic

Authored by naromero77 on Jan 19 2021, 10:16 PM.

Details

Summary

Support compilation of Fortran source in SPEC2017 CMake macro. Add SPEC2017 CPU Exchange2 integer rate and speed tests.

Diff Detail

Repository
rT test-suite

Event Timeline

naromero77 created this revision.Jan 19 2021, 10:16 PM
naromero77 requested review of this revision.Jan 19 2021, 10:16 PM
Meinersbur added inline comments.Jan 20 2021, 7:07 AM
External/SPEC/CINT2017rate/CMakeLists.txt
8–14

[style] Missing indention

The other tests are sorted numerically and I would prefer to keep it that way (a directories listing usually is sorted that way as well)

External/SPEC/CINT2017speed/CMakeLists.txt
17

[style] missing indention

  • Restore numerical order of SPEC tests and fix style issues.

I am not sure why

arc diff --update D{id}

included the first commit after master branch got renamed to main, i.e. this one
https://github.com/llvm/llvm-test-suite/commit/41bb38d9cabf9d711c513787fb07f058ee513e40

It was not present in my original patch. Once the patch gets approved, I will make sure it is not there when I do the commit.

Looks OK to me, @Meinersbur can accept at some point.

CMakeLists.txt
237 ↗(On Diff #317999)

This seems unrelated.

Meinersbur accepted this revision.Jan 21 2021, 12:02 PM

LGTM

CMakeLists.txt
237 ↗(On Diff #317999)

Looks like this is because the patch https://github.com/llvm/llvm-test-suite/commit/41bb38d9cabf9d711c513787fb07f058ee513e40 is included in this diff. Unfortunately, the master branch is not kept in sync with main.

This revision is now accepted and ready to land.Jan 21 2021, 12:02 PM
This revision was automatically updated to reflect the committed changes.
This comment was removed by naromero77.